macos升级到Monterey后,vue-cli-plugin-electron-builder打包报错的问题

2022-07-15阅读(112)评论(0)牵着狗狗看MM

苏州实时公交查询

macos升级到Monterey(即 MacOS 12)后,vue-cli-plugin-electron-builder打包会报错

报错如下:

原因是MacOS12默认用的是Python3,而vue-cli-plugin-electron-builder用的是Python2,

解决方案

打开终端:输入

which python

找到Python路径,然后在项目根目录下建个.env文件,把Python的环境变量加进去

PYTHON_PATH={Python的完整路径}

再打包就不会报错了

赞(0) 打赏
转载请注明来源:Web万博ManBetXapp(W3Cways.com) - Web万博ManBetXappManBetX万博体育网页版之路 » macos升级到Monterey后,vue-cli-plugin-electron-builder打包报错的问题
分享到: 更多 (0)

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏

  • 阿里云服务器
    阿里云服务器